/*
  DXC Framework (http://dx-competition.org/)
  Copyright 2008 David Garcia

  The DXC Framework is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation, either version 3 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program. If not, see <http://www.gnu.org/licenses/>
*/
#include <Connection/OracleConnector.hpp>
#include <DxcConfig.hpp>
#include <DxcDataTypes.hpp>

using namespace Dxc;
using namespace std;

OracleConnector::OracleConnector(DxcCallback* cb)
    : DxcConnectorImp(cb), srsock_(-1)
{
    initConnections();
    acceptConnections();
}

void OracleConnector::initConnections()
{
    connect("localhost", DxcConfig::getInstance()->getInt("SR_OR_PORT"), &srsock_);
}

bool OracleConnector::sendMessage(const DxcData *msg)
{
    bool rc = true;

    rc &= DxcConnectorImp::transmit(srsock_, msg);

    return rc;
}

void OracleConnector::acceptConnections()
{
}
