/*
  DXC Framework (http://dx-competition.org/)
  Copyright 2008 David Garcia

  The DXC Framework is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License as published by the
  Free Software Foundation, either version 3 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program. If not, see <http://www.gnu.org/licenses/>
*/
#ifndef SDS_CONNECTOR
#define SDS_CONNECTOR

#include <DxcDefs.hpp>
#include <Connection/DxcConnectorImp.hpp>
#include <DxcDataTypes.hpp>

namespace Dxc
{
class DXCAPI_EXPORT SDSConnector : DxcConnectorImp
{
    friend class ConnectorFactory;

public:
    void initConnections();
    bool sendMessage(const DxcData *);

protected:
    SDSConnector(DxcCallback*);
    void acceptConnections();
    int slsock_;
    int srsock_;
    int dasock_;
};
}

#endif
